# Created by pyp2rpm-3.3.8
%global pypi_name argon2-cffi-bindings

Name:           python-%{pypi_name}
Version:        21.2.0
Release:        %mkrel 1
Summary:        Low-level CFFI bindings for Argon2
Group:          Development/Python
License:        MIT
URL:            https://github.com/hynek/argon2-cffi-bindings
Source0:        %{pypi_source}

BuildRequires:  pkgconfig(libargon2)
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(cffi) >= 1.0.1
BuildRequires:  python3dist(cogapp)
BuildRequires:  python3dist(pre-commit)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm) >= 6.2
BuildRequires:  python3dist(wheel)
# tests
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(tox-current-env)

%description
argon2-cffi-bindings provides low-level CFFI bindings to the Argon2 password
hashing algorithm.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
argon2-cffi-bindings provides low-level CFFI bindings to the Argon2 password
hashing algorithm.

%prep
%autosetup -n %{pypi_name}-%{version}

# force system libargon2
rm -rf extras/

%build
export ARGON2_CFFI_USE_SYSTEM=1
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files _argon2_cffi_bindings

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Sun Jan 15 2023 wally <wally> 21.2.0-1.mga9
+ Revision: 1933508
- imported package python-argon2-cffi-bindings

